DType
=====

.. java:package:: org.pytorch
   :noindex:

.. java:type:: public enum DType

   Codes representing tensor data types.

Enum Constants
--------------
FLOAT32
^^^^^^^

.. java:field:: public static final DType FLOAT32
   :outertype: DType

   Code for dtype torch.float32. \ :java:ref:`Tensor.dtype()`\

FLOAT64
^^^^^^^

.. java:field:: public static final DType FLOAT64
   :outertype: DType

   Code for dtype torch.float64. \ :java:ref:`Tensor.dtype()`\

INT32
^^^^^

.. java:field:: public static final DType INT32
   :outertype: DType

   Code for dtype torch.int32. \ :java:ref:`Tensor.dtype()`\

INT64
^^^^^

.. java:field:: public static final DType INT64
   :outertype: DType

   Code for dtype torch.int64. \ :java:ref:`Tensor.dtype()`\

INT8
^^^^

.. java:field:: public static final DType INT8
   :outertype: DType

   Code for dtype torch.int8. \ :java:ref:`Tensor.dtype()`\

UINT8
^^^^^

.. java:field:: public static final DType UINT8
   :outertype: DType

   Code for dtype torch.uint8. \ :java:ref:`Tensor.dtype()`\

Fields
------
jniCode
^^^^^^^

.. java:field:: final int jniCode
   :outertype: DType
